package com.cool.bang.modules.oracle.mapper;

import com.cool.bang.modules.oracle.domain.OracleUser;
import com.cool.bang.modules.oracle.domain.po.*;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Repository
public interface OracleMapper {
    List<Map<String, Object>> selectFromBxm();

    List<Map<String, Object>> selectAregByXmbh(String xmbh);

    List<Map<String, Object>> selectFromAreg();

    List<Map<String,Object>> selectFromAccount();

    BigDecimal selectAccountInTransitFund(Integer accountid);

    List<Gcjdsq> selectPromProgress();

    List<HtInfo> selectHtInfo();

    List<HtPay> selectHtPayInfo();

    List<BhtTrade> getBhtPayTradeByBHTID(@Param("htId") Long htId);

    List<BhtTrade> getTradeByBHTPayJKBH(@Param("jkbh") String jkbh);

    List<BDj> selectBDJInfo();

    /**
     * 用户查询
     */
    List<OracleUser> selectByUser();
}
